Summary:	X Printing Panel
Name:		xpp
Version:	1.1
Release:	1
License:	GPL
Group:		Publishing
Packager:	linuxkid <linux@peanutlinux.org>

Source:		http://cups.sourceforge.net/xpp/%{name}-%{version}.tar.bz2
Source1:	xpp.desktop

Url:		http://cups.sourceforge.net/xpp/
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	cups >= 1.1.12 fltk >= 1.0.11
BuildRequires:	cups-devel >= 1.1.12 fltk-devel >= 1.0.11

%description
The X Printing Panel (XPP) is a completely free tool for easy choosing of
the desired printer out of a list of all available printers and
for setting printer options by an easy-to-use graphical user interface.
One simply calls the program (xpp) instead of the usual utilities
(lpr or lp) at the command line or out of applications.

%prep

%setup -q
%build

#export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti" ;
%configure --disable-nls
make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Office
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Office

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

# Use update-alternatives to make printing with XPP also possible with
# the "lpr" command

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s xpp lpr-xpp
)

%preun

if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-xpp
fi


%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%_bindir/*
/usr/share
